import QtQuick 2.0
import Sailfish.Silica 1.0
import org.nemomobile.configuration 1.0

Page {
    id: page

    SilicaFlickable {
        anchors.fill: parent
        contentHeight: content.height

        VerticalScrollDecorator {}

        Column {
            id: content
            width: parent.width
            spacing: Theme.paddingLarge

            PageHeader {
                title: qsTr("Dynamic icons")
            }

            TextSwitch {
                width: parent.width
                text: qsTr("Jolla Clock")
                checked: clockValue
                onClicked: clockValue.value = checked

                ConfigurationValue {
                    id: clockValue
                    key: "/apps/lipstick-jolla-home-qt5/icons/jolla-clock"
                    defaultValue: false
                }
            }
        }
    }
}
